%{?python_enable_dependency_generator}
%global modname binaryornot
%global sum A pure Python package to check if a file is binary or text


Name:               python-binaryornot
Version:            0.4.4
Release:    1%{?dist}
Summary:            %{sum}

License:            BSD
URL:                http://pypi.python.org/pypi/BinaryOrNot
Source0:            https://pypi.python.org/packages/source/b/binaryornot/binaryornot-%{version}.tar.gz
BuildArch:          noarch

%description
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.


%package -n         python3-%{modname}
Summary:            %{sum}
BuildRequires: make
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-chardet >= 2.0.0
BuildRequires:      python3-hypothesis


%description -n python3-binaryornot
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.


%package -n         python-%{modname}-docs
Summary:            Documentation for python-binaryornot
BuildRequires:      python3-sphinx

%description -n python-%{modname}-docs
Documentation for python-binaryornot


%prep
%autosetup -n %{modname}-%{version}

sed -i -e 's|average_size=|max_size=|' tests/test_check.py

rm -rf %{modname}.egg-info


%build
%py3_build

make -C docs html PYTHONPATH=$(pwd)


%install
%py3_install

%check
%{__python3} setup.py test

rm -rf docs/_build/html/.buildinfo


%files -n python3-%{modname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%files -n python-%{modname}-docs
%doc docs/_build/html


%changelog
* Wed Jul 17 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.4-1
- initial build
